<?php
    $this->_activeMenu = 'modules/';
    $this->_breadCrumbs = array(
        array('label'=>A::t('app', 'Modules'), 'url'=>'modules/'),
        array('label'=>A::t('app', 'Modules Management')),
    );    	
?>

<h1><?php echo A::t('app', 'Application Modules')?></h1>

<div class="bloc">
	<?php echo $tabs; ?>

    <div class="content">		
		<?php echo $actionMessage; ?>	
		
		<?php if(count($modulesList)+count($notInstalledModulesList) > 0){ ?>
	    <table>
		<thead>
		<tr>
			<th class="left" colspan="2" style="width:110px;"><?php echo A::t('app', 'Module Name'); ?></th>
			<th class="left"><?php echo A::t('app', 'Description'); ?></th>
			<th class="center" style="width:80px;"><?php echo A::t('app', 'Version'); ?></th>
			<th class="center" style="width:80px;"><?php echo A::t('app', 'Status'); ?></th>
			<?php if(Admins::hasPrivilege('modules', 'edit')){ ?>
			<th class="actions"><?php echo A::t('app', 'Actions'); ?></th>
			<?php } ?>
		</tr>
		</thead>
		<tbody>
		<?php 
			if(is_array($modulesList)){
				foreach($modulesList as $module){
					echo '<tr>';
					echo '<td class="left" width="36px"><img src="images/modules/'.$module['code'].'/'.$module['icon'].'" alt="icon" style="height:24px;margin-top:1px;" /></td>';

					echo '<td class="left">';
					echo (Admins::hasPrivilege('modules', 'edit')) ? '<a href="modules/settings/code/'.$module['code'].'">'.$module['name'].'</a>' : $module['name'];
					echo '</td>';

					echo '<td class="left">'.$module['description'].'</td>';
					echo '<td class="center">'.$module['version'].'</td>';
					echo '<td class="center"><img src="templates/backend/images/'.($module['is_active'] ? 'enabled.png' : 'disabled.png').'" title="'.($module['is_active'] ? A::t('app', 'Enabled') : A::t('app', 'Disabled')).'" class="tooltip-link" alt="tooltip" height="16px" /></td>';
					
					if(Admins::hasPrivilege('modules', 'edit')){
						echo '<td class="actions">
							<a class="tooltip-link" title="'.A::t('app', 'Edit this record').'" href="modules/edit/id/'.$module['id'].'"><img src="templates/backend/images/edit.png" alt="edit"></a>
							<a data-module="'.$module['name'].'" class="tooltip-link" title="'.A::t('app', 'Uninstall this module').'" href="modules/uninstall/id/'.$module['id'].'" onclick="return onUninstallClick(this);"><img src="templates/backend/images/uninstall.png" alt="uninstall"></a>
						</td>';
					}
					echo '</tr>';
				}
			}
			// not installed modules 
			if(is_array($notInstalledModulesList)){
				foreach($notInstalledModulesList as $code => $module){
					echo '<tr>
						<td class="left" width="36px"><img src="templates/backend/images/shortcuts/modules.png" alt="icon" height="24px" /></td>
						<td class="left">'.$module['name'].'</td>
						<td class="left">'.$module['description'].'</td>
						<td class="center">'.$module['version'].'</td>
						<td class="center"><img src="templates/backend/images/disabled.png" title="'.A::t('app', 'Disabled').'" class="tooltip-link" alt="tooltip" height="16px" /></td>';
					
					if(Admins::hasPrivilege('modules', 'edit')){
						echo '<td class="actions"><a href="modules/install/code/'.$code.'">'.A::t('app', 'Install').'</a></td>';
					}
					echo '</tr>';
				}
			}
			?>
		</tbody>
		</table>
		<?php 	
		}else{
			echo CWidget::create('CMessage', array('info', A::t('app', 'No modules available'), array('button'=>false)));
		} 
		?>	
	</div>
	
</div>
<?php
A::app()->getClientScript()->registerScript(
	'module_uninstall',
	'function onUninstallClick(el){
		return confirm("'.A::t('app', 'Module').': "+$(el).data("module")+"\n'.A::t('app', 'Module Uninstall Alert').'");
	};',
	0
);
?>